%define compile_apidox 0
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define lib_name_orig libkdevplatform4
%define lib_major 4
%define lib_name %mklibname kdevplatform %lib_major
%define old_lib_major 2
%define old_lib_name %mklibname kdevplatform4 %old_lib_major

%define kde_version 4.6.0
%define kdevelop_ver 4.%(echo %{version} | cut -d. -f2,3)

%define rel 2

Name: kdevplatform4
Summary: Integrated Development Environment for C++/C
Version: 1.6.0
Epoch: 4
URL: http://www.kde.org 
Release: %mkrel %rel
Source0:  http://download.kde.org/stable/kdevelop/%{kdevelop_ver}/src/kdevplatform-%{version}.tar.xz
Group: Development/C++
License: GPL
BuildRequires: kdelibs4-devel >= 2:%{kde_version}
BuildRequires: flex
BuildRequires: graphviz
BuildRequires: db-devel
BuildRequires: subversion-devel
BuildRequires: apr-devel
BuildRequires: apr-util-devel
BuildRequires: grantlee-devel
%if %compile_apidox
BuildRequires: doxygen
%endif
BuildRequires:    libcommoncpp-devel
BuildRequires:    boost-devel
BuildRequires:    rapidsvn
BuildRequires:    qjson-devel >= 0.7.0

Obsoletes:        kdevelop4 < 3.93

Conflicts:	%lib_name-devel < 4:0.9.83-0.886617.3
Conflicts:	kdevelop4 < 4:3.9.96

%description
%name module needed by Kdevelop or Quanta

%files -f %name.lang
%_kde_bindir/kdev_dbus_socket_transformer
%_kde_bindir/kdev_format_source
%_kde_bindir/kdevplatform_shell_environment.sh
%_kde_appsdir/kdevprojectmanagerview
%_kde_appsdir/kdevstandardoutputview
%_kde_appsdir/kdevfilemanager
%_kde_appsdir/kdevcvs
%_kde_appsdir/kdevquickopen
%_kde_appsdir/kdevproblemreporter
%_kde_appsdir/kdevcontextbrowser
%_kde_appsdir/kdevsourceformatter
%_kde_appsdir/kdevappwizard
%_kde_appsdir/kdevclassbrowser
%_kde_appsdir/kdevdebugger
%_kde_appsdir/kdevdocumentswitcher
%_kde_appsdir/kdevcodegen
%_kde_appsdir/kdevpatchreview
%_kde_appsdir/kdevdocumentview
%_kde_appsdir/kdevgrepview
%_kde_appsdir/kdevsession
%_kde_appsdir/kdevsnippet
%_kde_appsdir/kdevcodeutils
%_kde_appsdir/kdevexternalscript
%_kde_appsdir/kdevfiletemplates
%_kde_appsdir/kdevtestview
%_kde_configdir/kdevappwizard.knsrc
%_kde_configdir/kdevfiletemplates.knsrc
%_kde_servicetypes/kdevelopplugin.desktop
%_kde_services/kdevquickopen.desktop
%_kde_services/kcm_kdev_uisettings.desktop
%_kde_services/kdevfilemanager.desktop
%_kde_services/kdevgenericmanager.desktop
%_kde_services/kdevkonsoleview.desktop
%_kde_services/kdevprojectmanagerview.desktop
%_kde_services/kdevsnippet.desktop
%_kde_services/kdevstandardoutputview.desktop
%_kde_services/kcm_kdev_envsettings.desktop
%_kde_services/kcm_kdev_bgsettings.desktop
%_kde_services/kcm_kdev_ccsettings.desktop
%_kde_services/kcm_kdev_projectsettings.desktop
%_kde_services/kdevsubversion.desktop
%_kde_services/kdevproblemreporter.desktop
%_kde_services/kdevcvs.desktop
%_kde_services/kdevexecute.desktop
%_kde_services/kcm_kdevsourceformattersettings.desktop
%_kde_services/kdevcontextbrowser.desktop
%_kde_services/kcm_kdev_pluginsettings.desktop
%_kde_services/kdevappwizard.desktop
%_kde_services/kdevclassbrowser.desktop
%_kde_services/kdevdocumentswitcher.desktop
%_kde_services/kdevopenwith.desktop
%_kde_services/kdevpatchreview.desktop
%_kde_services/kdevdocumentview.desktop
%_kde_services/kdevgrepview.desktop
%_kde_services/kdevcodeutils.desktop
%_kde_services/kdevexternalscript.desktop
%_kde_services/kdevgit.desktop
%_kde_services/kdevpastebin.desktop
%_kde_services/kdevreviewboard.desktop
%_kde_services/kdevexecutescript.desktop
%_kde_services/kdevvcschangesview.desktop
%_kde_services/kdevfiletemplates.desktop
%_kde_services/kdevswitchtobuddy.desktop
%_kde_services/kdevtemplatemanager_config.desktop
%_kde_services/kdevtestview.desktop
%_kde_services/kcm_kdevprojectfilter.desktop
%_kde_services/kdevprojectfilter.desktop
%_kde_libdir/kde4/kdevexecute.so
%_kde_libdir/kde4/kcm_kdev_uisettings.so
%_kde_libdir/kde4/kdevfilemanager.so
%_kde_libdir/kde4/kdevgenericmanager.so
%_kde_libdir/kde4/kdevkonsoleview.so
%_kde_libdir/kde4/kdevprojectmanagerview.so
%_kde_libdir/kde4/kdevsnippet.so
%_kde_libdir/kde4/kdevstandardoutputview.so
%_kde_libdir/kde4/kcm_kdev_envsettings.so
%_kde_libdir/kde4/kdevcvs.so
%_kde_libdir/kde4/kdevquickopen.so
%_kde_libdir/kde4/kcm_kdev_bgsettings.so
%_kde_libdir/kde4/kcm_kdev_ccsettings.so
%_kde_libdir/kde4/kcm_kdev_projectsettings.so
%_kde_libdir/kde4/kdevproblemreporter.so
%_kde_libdir/kde4/kdevsubversion.so
%_kde_libdir/kde4/kdevcontextbrowser.so
%_kde_libdir/kde4/kcm_kdevsourceformattersettings.so
%_kde_libdir/kde4/kcm_kdev_pluginsettings.so
%_kde_libdir/kde4/kdevappwizard.so
%_kde_libdir/kde4/kdevclassbrowser.so
%_kde_libdir/kde4/kdevdocumentswitcher.so
%_kde_libdir/kde4/kdevopenwith.so
%_kde_libdir/kde4/kdevpatchreview.so
%_kde_libdir/kde4/kdevdocumentview.so
%_kde_libdir/kde4/kdevgrepview.so
%_kde_libdir/kde4/kdevcodeutils.so
%_kde_libdir/kde4/kdevexternalscript.so
%_kde_libdir/kde4/kdevgit.so
%_kde_libdir/kde4/kdevpastebin.so
%_kde_libdir/kde4/kdevreviewboard.so
%_kde_libdir/kde4/kdevexecutescript.so
%_kde_libdir/kde4/kdevvcschangesviewplugin.so
%_kde_libdir/kde4/kdevfiletemplates.so
%_kde_libdir/kde4/kdevswitchtobuddy.so
%_kde_libdir/kde4/kdevtemplatemanager_config.so
%_kde_libdir/kde4/kdevtestview.so
%_kde_libdir/kde4/kcm_kdevprojectfilter.so
%_kde_libdir/kde4/kdevprojectfilter.so
%_kde_libdir/kde4/plugins/grantlee/0.4/kdev_filters.so
%_kde_iconsdir/hicolor/*/apps/reviewboard.png
%_kde_iconsdir/hicolor/22x22/actions/run-clean.png
%_kde_iconsdir/hicolor/22x22/actions/run-install.png
%_kde_iconsdir/hicolor/*/apps/git.png
%_kde_iconsdir/hicolor/*/apps/subversion.png

#-----------------------------------------------------------------------------

%define kdevplatformtests_major 7
%define libkdevplatformtests %mklibname kdevplatformtests %kdevplatformtests_major

%package -n %libkdevplatformtests
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformtests
KDE 4 library.

%files -n %libkdevplatformtests
%_kde_libdir/libkdevplatformtests.so.%{kdevplatformtests_major}*

#-----------------------------------------------------------------------------

%define kdevplatforminterfaces_major 7
%define libkdevplatforminterfaces %mklibname kdevplatforminterfaces %kdevplatforminterfaces_major

%package -n %libkdevplatforminterfaces
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatforminterfaces
KDE 4 library.

%files -n %libkdevplatforminterfaces
%_kde_libdir/libkdevplatforminterfaces.so.%{kdevplatforminterfaces_major}*

#-----------------------------------------------------------------------------

%define kdevplatformlanguage_major 7
%define libkdevplatformlanguage %mklibname kdevplatformlanguage %kdevplatformlanguage_major

%package -n %libkdevplatformlanguage
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformlanguage
KDE 4 library.

%files -n %libkdevplatformlanguage
%_kde_libdir/libkdevplatformlanguage.so.%{kdevplatformlanguage_major}*

#-----------------------------------------------------------------------------

%define kdevplatformoutputview_major 7
%define libkdevplatformoutputview %mklibname kdevplatformoutputview %kdevplatformoutputview_major

%package -n %libkdevplatformoutputview
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformoutputview
KDE 4 library.

%files -n %libkdevplatformoutputview
%_kde_libdir/libkdevplatformoutputview.so.%{kdevplatformoutputview_major}*

#-----------------------------------------------------------------------------

%define kdevplatformproject_major 7
%define libkdevplatformproject %mklibname kdevplatformproject %kdevplatformproject_major

%package -n %libkdevplatformproject
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformproject
KDE 4 library.

%files -n %libkdevplatformproject
%_kde_libdir/libkdevplatformproject.so.%{kdevplatformproject_major}*

#-----------------------------------------------------------------------------

%define kdevplatformshell_major 7
%define libkdevplatformshell %mklibname kdevplatformshell %kdevplatformshell_major

%package -n %libkdevplatformshell
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformshell
KDE 4 library.

%files -n %libkdevplatformshell
%_kde_libdir/libkdevplatformshell.so.%{kdevplatformshell_major}*

#-----------------------------------------------------------------------------

%define kdevplatformutil_major 7
%define libkdevplatformutil %mklibname kdevplatformutil %kdevplatformutil_major

%package -n %libkdevplatformutil
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformutil
KDE 4 library.

%files -n %libkdevplatformutil
%_kde_libdir/libkdevplatformutil.so.%{kdevplatformutil_major}*

#-----------------------------------------------------------------------------

%define kdevplatformvcs_major 7
%define libkdevplatformvcs %mklibname kdevplatformvcs %kdevplatformvcs_major

%package -n %libkdevplatformvcs
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformvcs
KDE 4 library.

%files -n %libkdevplatformvcs
%_kde_libdir/libkdevplatformvcs.so.%{kdevplatformvcs_major}*

#-----------------------------------------------------------------------------

%define sublime_major 7
%define libsublime %mklibname sublime %sublime_major

%package -n %libsublime
Summary: KDE 4 library
Group: System/Libraries

%description -n %libsublime
KDE 4 library.

%files -n %libsublime
%_kde_libdir/libsublime.so.%{sublime_major}*

#-----------------------------------------------------------------------------

%define kdevplatformdebugger_major 7
%define libkdevplatformdebugger %mklibname kdevplatformdebugger %kdevplatformdebugger_major

%package -n %libkdevplatformdebugger
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformdebugger
KDE 4 library.

%files -n %libkdevplatformdebugger
%_kde_libdir/libkdevplatformdebugger.so.%{kdevplatformdebugger_major}*

#-----------------------------------------------------------------------------

%define kdevplatformdocumentation_major 7
%define libkdevplatformdocumentation %mklibname kdevplatformdocumentation %kdevplatformdocumentation_major

%package -n %libkdevplatformdocumentation
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformdocumentation
KDE 4 library.

%files -n %libkdevplatformdocumentation
%_kde_libdir/libkdevplatformdocumentation.so.%{kdevplatformdocumentation_major}*

#-----------------------------------------------------------------------------

%define kdevplatformjsontests_major 7
%define libkdevplatformjsontests %mklibname kdevplatformjsontests %kdevplatformjsontests_major

%package -n %libkdevplatformjsontests
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformjsontests
KDE 4 library.

%files -n %libkdevplatformjsontests
%_kde_libdir/libkdevplatformjsontests.so.%{kdevplatformjsontests_major}*

#-----------------------------------------------------------------------------

%package -n %lib_name-devel
Summary: Development files for kdevplatform
Group: Development/KDE and Qt

Provides:  kdevplatform4-devel = %epoch:%version-%release
Obsoletes: %{_lib}kdevplatform43-devel < 4.0.73-1
Conflicts: kdevplatfom4 < 4:0.9.83-0.886617.4

Requires: %libkdevplatformtests = %epoch:%version-%release
Requires: %libkdevplatforminterfaces = %epoch:%version-%release
Requires: %libkdevplatformlanguage = %epoch:%version-%release
Requires: %libkdevplatformoutputview = %epoch:%version-%release
Requires: %libkdevplatformproject = %epoch:%version-%release
Requires: %libkdevplatformshell = %epoch:%version-%release
Requires: %libkdevplatformutil = %epoch:%version-%release
Requires: %libkdevplatformvcs = %epoch:%version-%release
Requires: %libsublime = %epoch:%version-%release
Requires: %libkdevplatformdebugger = %epoch:%version-%release
Requires: %libkdevplatformdocumentation = %epoch:%version-%release
Requires: %libkdevplatformjsontests = %epoch:%version-%release

%description -n %lib_name-devel
Development files for kdevplatform.

%files -n %lib_name-devel
%{_kde_libdir}/cmake/kdevplatform/*.cmake
%{_kde_includedir}/kdevplatform
%{_kde_libdir}/libkdevplatformjsontests.so
%{_kde_libdir}/libkdevplatformtests.so
%{_kde_libdir}/libkdevplatforminterfaces.so
%{_kde_libdir}/libkdevplatformlanguage.so
%{_kde_libdir}/libkdevplatformoutputview.so
%{_kde_libdir}/libkdevplatformproject.so
%{_kde_libdir}/libkdevplatformshell.so
%{_kde_libdir}/libkdevplatformutil.so
%{_kde_libdir}/libkdevplatformvcs.so
%{_kde_libdir}/libsublime.so
%{_kde_libdir}/libkdevplatformdebugger.so
%{_kde_libdir}/libkdevplatformdocumentation.so

#-----------------------------------------------------------------------------

%prep
%setup -qn kdevplatform-%{version}

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%if %compile_apidox
make apidox
%endif

%install
%makeinstall_std -C build

%find_lang %name --all-name --with-kde


%changelog
* Tue Dec 17 2013 neoclust <neoclust> 4:1.6.0-2.mga4
+ Revision: 558323
- Rebuild against new grantlee

* Tue Dec 10 2013 colin <colin> 4:1.6.0-1.mga4
+ Revision: 556194
- Fix filelist after upgrade

  + neoclust <neoclust>
    - New version 1.6.0

* Tue Nov 19 2013 fwang <fwang> 4:1.5.2-1.mga4
+ Revision: 551846
- update file list
- update file list
- new version 1.5.2

* Sat Oct 19 2013 umeabot <umeabot> 4:1.5.1-4.mga4
+ Revision: 529517
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 4:1.5.1-3.mga4
+ Revision: 452333
- rebuild for new boost

* Sun Jun 30 2013 fwang <fwang> 4:1.5.1-2.mga4
+ Revision: 448577
- build with gold to make it faster

* Fri May 31 2013 fwang <fwang> 4:1.5.1-1.mga4
+ Revision: 433522
- new version 1.5.1

* Fri May 24 2013 fwang <fwang> 4:1.5.0-1.mga4
+ Revision: 425712
- update file list
- update libmajor
- br grantlee
- new version 1.5.0

* Sat Jan 12 2013 umeabot <umeabot> 4:1.4.1-2.mga3
+ Revision: 356083
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 4:1.4.1-1.mga3
+ Revision: 313218
- new version 1.4.1

* Tue Oct 16 2012 fwang <fwang> 4:1.4.0-1.mga3
+ Revision: 307074
- new version 1.4.0

* Tue Sep 11 2012 fwang <fwang> 4:1.3.90-1.mga3
+ Revision: 292127
- new version 1.3.90

* Sat Aug 04 2012 fwang <fwang> 4:1.3.80-1.mga3
+ Revision: 278384
- update libmajor
- new version 1.3.80

* Sun Apr 15 2012 fwang <fwang> 4:1.3.1-1.mga2
+ Revision: 230832
- new version 1.3.1

* Mon Mar 12 2012 fwang <fwang> 4:1.3.0-1.mga2
+ Revision: 222971
- new version 1.3.0 stable

* Sat Feb 25 2012 fwang <fwang> 4:1.2.90-1.mga2
+ Revision: 214283
- new version 1.2.90

* Tue Feb 14 2012 fwang <fwang> 4:1.2.82-1.mga2
+ Revision: 208695
- new version 1.2.82

* Mon Jan 23 2012 fwang <fwang> 4:1.2.81-1.mga2
+ Revision: 200301
- update file list
- update libmajor
- new version 1.2.81

* Sat Jun 25 2011 mikala <mikala> 4:1.2.3-1.mga2
+ Revision: 113638
- Update tarball to 1.2.3 ( see http://kdevelop.org/kdevelop/kdevelop-423-released )

* Wed Apr 06 2011 mikala <mikala> 4:1.2.2-2.mga1
+ Revision: 81396
- Update tarball to 1.2.2

* Mon Mar 07 2011 mikala <mikala> 4:1.2.0-2.mga1
+ Revision: 66116
- Remove BuildRoot
- imported package kdevplatform4


* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 4:1.2.0-2mdv2011.0
+ Revision: 640185
- rebuild

* Mon Jan 24 2011 Funda Wang <fwang@mandriva.org> 4:1.2.0-1
+ Revision: 632464
- 1.2.0

* Mon Jan 10 2011 Funda Wang <fwang@mandriva.org> 4:1.1.90-1
+ Revision: 630840
- new version 1.1.90

* Tue Dec 28 2010 Funda Wang <fwang@mandriva.org> 4:1.1.81-1mdv2011.0
+ Revision: 625607
- new version 1.1.81

* Fri Dec 17 2010 Funda Wang <fwang@mandriva.org> 4:1.1.80-1mdv2011.0
+ Revision: 622504
- new version 1.1.80

* Thu Dec 02 2010 Paulo Andrade <pcpa@mandriva.com.br> 4:1.1.60-0.git20101121.2mdv2011.0
+ Revision: 605044
- Rebuild with apr with workaround to issue with gcc type based alias analysis

* Mon Nov 22 2010 Funda Wang <fwang@mandriva.org> 4:1.1.60-0.git20101121.1mdv2011.0
+ Revision: 599618
- new snapshot

* Mon Oct 11 2010 Funda Wang <fwang@mandriva.org> 4:1.1.60-0.git20101010.1mdv2011.0
+ Revision: 584882
- new snapshot

* Sun Sep 05 2010 Funda Wang <fwang@mandriva.org> 4:1.1.60-0.git20100905.1mdv2011.0
+ Revision: 576086
- BR qjson
- new snapshot to be compatible with kde 4.6
- new version 1.0.2

* Sun Jul 18 2010 Funda Wang <fwang@mandriva.org> 4:1.0.1-1mdv2011.0
+ Revision: 554768
- new version 1.0.1

* Thu Apr 29 2010 Funda Wang <fwang@mandriva.org> 4:1.0.0-1mdv2010.1
+ Revision: 540695
- New version 1.0.0

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Simplify %%find_lang

* Sat Apr 17 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:0.10.2-1mdv2010.1
+ Revision: 535695
- New version 0.10.2

* Thu Apr 15 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:0.10.1-1mdv2010.1
+ Revision: 535055
- New version 0.10.1
  Comment some files because of patch0
  Add translations

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 4:0.10.0-1mdv2010.1
+ Revision: 531390
- new version 0.10.0

* Sun Mar 14 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:0.9.99-2mdv2010.1
+ Revision: 518824
- Use new upstream tarball

* Sat Mar 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:0.9.99-1mdv2010.1
+ Revision: 515237
- Update to beta9

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 4:0.9.98-1mdv2010.1
+ Revision: 504424
- New version 0.9.98

* Sun Jan 17 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:0.9.97-3mdv2010.1
+ Revision: 492869
- exlude FindKDevPlatform.cmake as it is on kdelibs4-devel already

* Tue Dec 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:0.9.97-2mdv2010.1
+ Revision: 479066
- Use new upstream tarball

* Sun Dec 13 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:0.9.97-1mdv2010.1
+ Revision: 478356
- Update to Beta 7

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:0.9.96-3mdv2010.1
+ Revision: 465250
- Rebuild against new Qt

* Sun Nov 08 2009 Funda Wang <fwang@mandriva.org> 4:0.9.96-2mdv2010.1
+ Revision: 462780
- documentview has been merged in

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 4:0.9.96-1mdv2010.1
+ Revision: 461566
- New version 0.9.96

* Sat Aug 22 2009 Funda Wang <fwang@mandriva.org> 4:0.9.95-1mdv2010.0
+ Revision: 419728
- fix file list
- new version 0.9.95

* Sun Jul 12 2009 Funda Wang <fwang@mandriva.org> 4:0.9.94-1mdv2010.0
+ Revision: 394933
- new version 0.9.94

* Thu May 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:0.9.93-1mdv2010.0
+ Revision: 380304
- Update to version 0.9.93

* Mon May 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:0.9.92-0.966570.1mdv2010.0
+ Revision: 374640
- New snapshot

* Sun Apr 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:0.9.91-2mdv2009.1
+ Revision: 366495
- Remove old macros
  Rebuild against new kde 4.2

* Mon Feb 02 2009 Funda Wang <fwang@mandriva.org> 4:0.9.91-1mdv2009.1
+ Revision: 336322
- New version 0.9.91

* Wed Jan 28 2009 Funda Wang <fwang@mandriva.org> 4:0.9.90-2mdv2009.1
+ Revision: 334789
- appwiz plugin moved

* Wed Jan 28 2009 Funda Wang <fwang@mandriva.org> 4:0.9.90-1mdv2009.1
+ Revision: 334756
- New version 0.9.90

* Tue Jan 13 2009 Helio Chissini de Castro <helio@mandriva.com> 4:0.9.85-1mdv2009.1
+ Revision: 329057
- New upstream unstable release 3.9.85

* Tue Dec 23 2008 Funda Wang <fwang@mandriva.org> 4:0.9.84-2mdv2009.1
+ Revision: 317923
- temporary solution of building teamwork plugin
- rebuild for new boost
- python is not required

* Tue Dec 16 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:0.9.84-1mdv2009.1
+ Revision: 314910
- Update to kde 4.1.85
  Remove Merged patch
  Fix File list

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 4:0.9.83-0.886617.4mdv2009.1
+ Revision: 307468
- add upstream patch to build veritas as versioned lib

  + Helio Chissini de Castro <helio@mandriva.com>
    - change the logic to avoid build with wrong sonames

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 4:0.9.83-0.886617.3mdv2009.1
+ Revision: 307453
- move other plain lib files into main package, devel package only contains devel .so files

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 4:0.9.83-0.886617.2mdv2009.1
+ Revision: 307412
- move libkdevplatformveritas.so into main package, as it is not devel file

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 4:0.9.83-0.886617.1mdv2009.1
+ Revision: 307357
- 0.9.83

* Sat Nov 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:0.9.82-0.881694.1mdv2009.1
+ Revision: 301158
- Switch back to manual svn snapshot for this package
  because upstream one too old and we need to have
  the same version for kdevplatform4 and kdevelop4.
  So using this method is the only one that will
  allow us to use kdevelop4 again on cooker
- Remove unneeded patch

* Sat Nov 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:0.9.82-0.880297.1mdv2009.1
+ Revision: 301130
- New snapshot (needed by kdevelop4)
- Remove uneeded patch

* Thu Nov 06 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:0.9.82-0.877191.1mdv2009.1
+ Revision: 300163
- Update to newer snapshots from kde ftp ( ftp://ftp.kde.org/pub/kde/unstable/snapshots/ )

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 beta1

* Fri May 16 2008 Funda Wang <fwang@mandriva.org> 3:4.0.74-1mdv2009.0
+ Revision: 208077
- New version 4.0.74

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix Obsoletes

* Fri May 09 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.73-1mdv2009.0
+ Revision: 205305
- Add boost-devel as buildrequire
- Update to kde 4.0.73
- Update to kde 4.0.72
- Add commoncpp and rapidsvn
- New snapshot 4.0.70
- ensure major correctness

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.97.1-0.752241.2mdv2008.1
+ Revision: 137580
- New snapshot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.97.1-0.746950.2mdv2008.1
+ Revision: 117166
+ rebuild (emptylog)

* Tue Dec 11 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.97.1-0.746950.1mdv2008.1
+ Revision: 117094
- New snapshot

* Sat Dec 01 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.1-0.742773.1mdv2008.1
+ Revision: 114255
- New snapshot

  + Thierry Vignaud <tv@mandriva.org>
    - kill extra empty line in descriptoin

* Fri Nov 23 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.1-0.740306.1mdv2008.1
+ Revision: 111558
- New snapshot

* Sat Nov 17 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.0-0.737165.1mdv2008.1
+ Revision: 109679
- Kde4 RC1

* Sun Nov 11 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.95.2-0.735293.1mdv2008.1
+ Revision: 107853
- New snapshot

* Fri Nov 02 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.95.1-0.731665.1mdv2008.1
+ Revision: 105040
- New snapshot post Rc1

* Tue Oct 30 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.94.1-0.730791.1mdv2008.1
+ Revision: 103778
- Fix File list (no more twice listed files)
- New snashot

* Thu Oct 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.94.1-0.729309.1mdv2008.1
+ Revision: 102130
- New snapshot

* Sat Oct 20 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.94.0-0.727034.1mdv2008.1
+ Revision: 100538
- Kde 4 Beta 3

* Fri Sep 21 2007 Tiago Salem <salem@mandriva.com.br> 3:3.93.0-0.714311.1mdv2008.0
+ Revision: 92044
- Updating to revision 714311, fixing libname and Requires

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New snapshot because of new kdelibs version
    - Fix Obsoletes (thanks to Helio)
      Fix the use of kde macros (no need to define twice)
    - New snapshot for KDE4 Beta2

* Tue Jul 03 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.91-0.682496.1mdv2008.0
+ Revision: 47440
- Initial release
- Import kdevplatform4

